PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » TCPWM (Timer Counter PWM) » Quadrature Decoder (TCPWM)

## General Description

## Data Structures
struct | cy_stc_tcpwm_quaddec_config_t
| Quadrature Decoder configuration structure. More...

## Data Structure Documentation

## ◆ cy_stc_tcpwm_quaddec_config_t

struct cy_stc_tcpwm_quaddec_config_t

Data Fields
uint32_t | resolution | Selects the quadrature encoding mode. See QuadDec Resolution
uint32_t | interruptSources | Enables an interrupt on the terminal count, capture or compare. See Interrupt Sources
uint32_t | indexInputMode | Configures how the index input behaves. See Input Modes
uint32_t | indexInput | Selects which input the index uses. The inputs are device-specific. See TCPWM Input Selection
uint32_t | stopInputMode | Configures how the stop input behaves. See Input Modes
uint32_t | stopInput | Selects which input the stop uses. The inputs are device-specific. See TCPWM Input Selection
uint32_t | phiAInput | Selects which input the phiA uses. The inputs are device specific. See TCPWM Input Selection
uint32_t | phiBInput | Selects which input the phiB uses. The inputs are device specific. See TCPWM Input Selection
uint32_t | phiAInputMode | Configures how the phiA input behaves. See Input Modes
uint32_t | phiBInputMode | Configures how the phiB input behaves. See Input Modes
uint32_t | quadMode | Sets the QuadDec mode.
uint32_t | period0 | Sets the period0 of the pwm.
bool | captureOnIndex | Specifies index or wrap-around capture function.
uint32_t | compare0 | Sets the value for Compare 0.
uint32_t | compareBuf0 | Sets the value for the buffered Compare 0.
bool | enableCompare0Swap | If enabled, the compare 0 values are swapped on the terminal count.
uint32_t | compare1 | Sets the value for Compare 1.
uint32_t | compareBuf1 | Sets the value for the buffered Compare 1.
bool | enableCompare1Swap | If enabled, the compare1 values are swapped on the terminal count.
uint32_t | capture0OrIndex1InputMode | Configures how the capture 0/index 1 input behaves.
uint32_t | capture0OrIndex1Input | Selects which input the capture 0/index 1 uses. The inputs are device-specific.
uint32_t | capture1InputMode | Configures how the capture1 input behaves.
uint32_t | capture1Input | Selects which input the capture 1 uses. The inputs are device-specific.
uint32_t | trigger0Event | Configures which internal event generates on output trigger 0.
uint32_t | trigger1Event | Configures which internal event generates on output trigger 1.
bool | buffer_swap_enable | Configures swapping mechanism between CC0 and buffered CC0, CC1 and buffered CC1, PERIOD and buffered PERIOD, DT and buffered DT